#!/usr/bin/env python3
""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
import sys, argparse
from fsr.extn.cli_handler import handle_cli_ops


def define_parser(parser):
    parser.add_argument('--set-timezone',
                        action='store_true',
                        dest='is_set_timezone',
                        default=False,
                        required=False,
                        help="Set the timezone same as docker host")

    parser.add_argument('--check-if-fmg',
                        action='store_true',
                        dest='is_check_if_fmg',
                        default=False,
                        required=False,
                        help="Check if setup is FMG")

    parser.add_argument('--check-if-faz',
                        action='store_true',
                        dest='is_check_if_faz',
                        default=False,
                        required=False,
                        help="Check if setup is FAZ")

    parser.add_argument('--get-hostname',
                        action='store_true',
                        dest='is_get_hostname',
                        default=False,
                        required=False,
                        help="Print hostname of docker host")

    parser.add_argument('--get-ip',
                        action='store_true',
                        dest='is_get_ip',
                        default=False,
                        required=False,
                        help="Print IPv4 address of docker host")

    parser.add_argument('--create-secret',
                        action='store_true',
                        dest='is_create_secret',
                        default=False,
                        required=False,
                        help=argparse.SUPPRESS)

    parser.add_argument('--get-https-port',
                        action='store_true',
                        dest='is_get_https_port',
                        default=False,
                        required=False,
                        help="Get HTTPS port of docker host")

if __name__ == "__main__":
    parser = argparse.ArgumentParser()
    define_parser(parser)
    args = parser.parse_args()
    if not len(sys.argv) > 1:
        parser.print_help(sys.stderr)
        sys.exit(1)
    handle_cli_ops(args)
    sys.exit(0)
