#!/bin/bash
# Copyright start
# Copyright (C) 2008 - 2024 Fortinet Inc.
# All rights reserved.
# FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
# Copyright end

set_logger() {
    local LOGDIR="/var/log/cyops/extension"
    mkdir -p $LOGDIR
    local LOGFILE="$LOGDIR/shutdown.log"
    exec > >(awk '{ print strftime("[%Y-%m-%d %H:%M:%S %Z]"), $0; fflush(); }' | tee --append $LOGFILE)
    exec 2>&1
}

##################
# Main/main/Main starts here
##############
#
# Add the task that you want to perform before FSR container stops. 
# Make sure this script does not take more than 1 min as grace period for
# FSR container is set as 1 min.
#
set_logger

fsr_docker_utils_sh="/opt/cyops/scripts/docker/utils.sh"
source $fsr_docker_utils_sh

#
# Below export is required as rabbitmqctl was not getting found when run this script via
# cron.
#

export PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
execute_container_backup
