#!/usr/bin/env python3
""" Copyright start
  Copyright (C) 2008 - 2024 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """

import subprocess, sys, os, time

def format_truststore(pem_file):
    epoch_time = int(time.time())
    backup_file = "{0}-{1}".format(os.path.basename(pem_file), epoch_time)
    cmd = "cp {0} {1}".format(pem_file, backup_file)
    print("Taking backup of the integrations truststore as {0}".format(backup_file))
    subprocess.run(cmd, shell=True) 
    cert = ""
    certs = set()
    for line in open(pem_file, 'rb'):
        line = line.decode("utf-8")
        if not '-----END CERTIFICATE-----' in line:
            cert += line
            continue
        cert += '-----END CERTIFICATE-----'
        # remove the empty lines
        cert = os.linesep.join([s for s in cert.splitlines() if s])
        certs.add(cert)
        cert = ""
    print("Formatting the integrations truststore {0}".format(pem_file))
    with open(pem_file, 'wb') as pem:
        for cert in certs:
          pem.write(cert.encode())
          pem.write("\n\n".encode())

if __name__ == "__main__":
    cmd = "/opt/cyops-integrations/.env/bin/python3 -c 'import certifi; print (certifi.where())'"
    pem_file = subprocess.run(cmd, stdout=subprocess.PIPE, shell=True).stdout.decode('utf-8').strip()
    if (not pem_file) or (not os.path.isfile(pem_file)):
        print("ERROR: Unable to find integrations truststore")
        sys.exit(1)
    format_truststore(pem_file)