#!/bin/bash
# Copyright start
# Copyright (C) 2008 - 2024 Fortinet Inc.
# All rights reserved.
# FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
# Copyright end
init() {
    volume_list="/var/lib/rabbitmq/:/var/lib/rabbitmq-init/ \
                 /var/lib/elasticsearch/:/var/lib/elasticsearch-init/ \
                 /var/lib/pgsql/:/var/lib/pgsql-init/ \
                 /var/log/:/var/log-init/ \
                 /home/csadmin/:/home/csadmin-init/ \
                 /opt/cyops/configs/:/opt/cyops/configs-init/"

    flag_volume=".do-not-delete-flag-fortisoar-volume"
}

main() {
    for volume in $volume_list; do
        local volume_src=$(echo $volume | cut -d':' -f1)
        local volume_target=$(echo $volume | cut -d':' -f2)
        local flag_volume_full_path="$volume_target/$flag_volume"
        if [ ! -f $flag_volume_full_path ]; then
            # Volume is empty, initialize it
            # -T (--no-target-directory)
            # -a is short for --archive — basically it copies a directory exactly as it is; 
            # the files retain all their attributes, and symlinks are not dereferenced (-d).
            echo "Initializing volume $volume_target"
            cp -aT $volume_src $volume_target
            touch $flag_volume_full_path
            continue
        fi
        echo "Volume already initialized $volume_target"
    done
}

####################
# Main/main/MAIN starts here
################
init
main
exit 0