#!/bin/bash
# Copyright start
# Copyright (C) 2008 - 2024 Fortinet Inc.
# All rights reserved.
# FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
# Copyright end

# Purpose of this script is to run the operations which are common for enterprise and docker post upgrade.

update_system_connectors() {
    echo ""
    echo "=========================="
    echo " Update system-connectors"
    echo "=========================="
    yum update -y cyops-connector-cyops_utilities \
        cyops-connector-imap \
        cyops-connector-smtp \
        cyops-connector-cyops-schedule-report \
        cyops-connector-code-snippet \
        cyops-connector-cyops-system-monitoring \
        cyops-connector-fortisoar-ml-engine \
        cyops-connector-fsr-agent-communication-bridge \
        cyops-connector-phishing-classifier
    if [ 0 != $? ]; then
        echo "Error: Failed to update system-connectors"
        exit 1
    fi
    echo "================================"
    echo " Done: Update system-connectors"
    echo "================================"
}

#######
# Main/MAIN/main starts here
#######

case $1 in
    --update-system-connectors)
        update_system_connectors
        ;;
    *)
        ;;
esac

exit 0
