#!/bin/bash -e
# Copyright start
# Copyright (C) 2008 - 2024 Fortinet Inc.
# All rights reserved.
# FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
# Copyright end

# This file generates the random password and store username, password 
# in cyops rabbitmq_users.conf file. 
# The package cyops-common runs the file rabbitmq_users.conf which #runs before all cyops 
# rpms and creates /opt/cyops/config/rabbitmq/ 
# because some application requires contents of rabbitmq_users.conf file while installation.

get_random_password(){
    local random_password=$(strings  /dev/urandom | grep -o '[[:alnum:]]' | head -n 30 | tr -d '\n'; echo)
    echo "$random_password"
}

create_user_cyops(){
    local cyops_user="cyops"
    local cyops_vhost="intra-cyops"
    echo "cyops.rabbitmq.host=localhost" >> $file_user_details
    echo "cyops.rabbitmq.port=5672" >> $file_user_details
    echo "cyops.rabbitmq.vhost=$cyops_vhost" >> $file_user_details
    echo "cyops.rabbitmq.user=$cyops_user" >> $file_user_details
    set +x
    cyops_passwd=$(get_random_password)
    echo "cyops.rabbitmq.password=******** >> $file_user_details"
    echo "cyops.rabbitmq.password=$cyops_passwd" >> $file_user_details
}

handle_installation_fresh(){
    if [ -f "$file_user_details" ]; then
        exit 0
    fi
    create_user_cyops
}

##############
# Main/main/MAIN starts here
##################

installation_type="fresh"
upgrade_type=""

# $1 is installation type which can be fresh/upgrade
if [ "X$1" != "X" ]; then
    installation_type=$1
fi

# $2 is upgrade_type which can be 'cyops' which will be honored only in case of upgrade
if [ "X$2" != "X" ]; then
    upgrade_type=$2
fi


cyops_passwd_file="rabbitmq_users.conf"
cyops_passwd_file_path="/opt/cyops/configs/rabbitmq"
file_user_details="$cyops_passwd_file_path/$cyops_passwd_file"

if [ "X$installation_type" = "Xfresh" ]; then
    handle_installation_fresh
elif [ "X$installation_type" = "Xupgrade" ]; then
    case $upgrade_type in
        cyops)
            create_user_cyops
            ;;
    esac
fi

chmod 644 $file_user_details
exit 0
